bots.setBotCommands
Set bot command list
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Set bot command list
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.setBotCommands" \ -H "Content-Type: application/json" \ -d '{ "params": { "scope": { "_": "botCommandScopeDefault" }, "langCode": "string", "commands": [ { "_": "botCommand", "command": "string", "description": "string" } ] } }'{ "result": true}setBotBroadcastDefaultAdminRights
Set the default [suggested admin rights](https://core.telegram.org/api/rights#suggested-bot-rights) for bots being added as admins to channels, see [here for more info on how to handle them »](https://core.telegram.org/api/rights#suggested-bot-rights).
setBotGroupDefaultAdminRights
Set the default [suggested admin rights](https://core.telegram.org/api/rights#suggested-bot-rights) for bots being added as admins to groups, see [here for more info on how to handle them »](https://core.telegram.org/api/rights#suggested-bot-rights).